* Replication of Results in Table 1:
clear
cd "insert folder"

***********************************************************************
* Specification 1
***********************************************************************
use Table1, clear

* Dropping countries with resource rents>20 percent:
drop if countrycode=="DZA"|countrycode=="COG"|countrycode=="IRN"|/*
*/countrycode=="KWT"|countrycode=="GAB"|countrycode=="TTO"|countrycode=="QAT"|/*
*/countrycode=="SAU"|countrycode=="PNG"|countrycode=="VEN"|countrycode=="LBR"|/*
*/countrycode=="RUS"

regress g y0 gpop BLeduc inv fertl lifee1r opres totalgv dp kgatrstr/*
*/ lcr100km language ethnic exprsk exconst KKZ legor_fr legor_uk easia ssafr/*
*/ easrel hindu jews muslim orth prot othrel lac dum7074 dum7579 dum8084/*
*/ dum8589 dum9094 dum9599 dum0004 dum0509, robust 


***********************************************************************
* Specification 2
***********************************************************************
use Table1, clear

* Dropping countries with resource rents>20 percent:
drop if countrycode=="DZA"|countrycode=="COG"|countrycode=="IRN"|/*
*/countrycode=="KWT"|countrycode=="GAB"|countrycode=="TTO"|countrycode=="QAT"|/*
*/countrycode=="SAU"|countrycode=="PNG"|countrycode=="VEN"|countrycode=="LBR"|/*
*/countrycode=="RUS"

regress g EM_j y0 gpop BLeduc inv fertl lifee1r opres totalgv dp kgatrstr/*
*/ lcr100km language ethnic exprsk exconst KKZ legor_fr legor_uk easia ssafr/*
*/ easrel hindu jews muslim orth prot othrel lac dum7074 dum7579 dum8084/*
*/ dum8589 dum9094 dum9599 dum0004 dum0509, robust 


***********************************************************************
* Specification 3
***********************************************************************
use Table1, clear

* Dropping countries with resource rents>20 percent:
drop if countrycode=="DZA"|countrycode=="COG"|countrycode=="IRN"|/*
*/countrycode=="KWT"|countrycode=="GAB"|countrycode=="TTO"|countrycode=="QAT"|/*
*/countrycode=="SAU"|countrycode=="PNG"|countrycode=="VEN"|countrycode=="LBR"|/*
*/countrycode=="RUS"

regress g EM_j lowEM lowmedEM upmedEM low lowmed upmed y0 gpop BLeduc/*
*/ inv fertl lifee1r opres totalgv dp kgatrstr lcr100km language ethnic/*
*/ exprsk exconst KKZ legor_fr legor_uk easia ssafr lac easrel hindu jews/*
*/ muslim orth prot othrel dum7074 dum7579 dum8084 dum8589 dum9094 dum9599/*
*/ dum0004 dum0509, robust 

* Computing interaction effects (and standard errors using the Delta method):
mat cov=e(V)
mat b=e(b)
gen bEM=b[1,1]
gen bEMlow=b[1,2]
gen bEMlowmed=b[1,3]
gen bEMupmed=b[1,4]

gen varEM=cov[1,1]
gen varEMlow=cov[2,2]
gen varEMlowmed=cov[3,3]
gen varEMupmed=cov[4,4]
gen covEMlow=cov[1,2]
gen covEMlowmed=cov[1,3]
gen covEMupmed=cov[1,4]

gen meanEMlow=bEM+bEMlow
gen meanEMlowmed=bEM+bEMlowmed
gen meanEMupmed=bEM+bEMupmed
gen seEMlow=sqrt(varEM+varEMlow+2*covEMlow)
gen seEMlowmed=sqrt(varEM+varEMlowmed+2*covEMlowmed)
gen seEMupmed=sqrt(varEM+varEMupmed+2*covEMupmed)
gen tstatEMlow=(meanEMlow)/seEMlow
gen tstatEMlowmed=(meanEMlowmed)/seEMlowmed
gen tstatEMupmed=(meanEMupmed)/seEMupmed

keep seEMlow tstatEMlow seEMlowmed tstatEMlowmed seEMupmed tstatEMupmed/*
*/ meanEMlow meanEMlowmed meanEMupmed
duplicates drop


***********************************************************************
* Specification 4
***********************************************************************
use Table1, clear

* Dropping countries with resource rents>20 percent:
drop if countrycode=="DZA"|countrycode=="COG"|countrycode=="IRN"|/*
*/countrycode=="KWT"|countrycode=="GAB"|countrycode=="TTO"|countrycode=="QAT"|/*
*/countrycode=="SAU"|countrycode=="PNG"|countrycode=="VEN"|countrycode=="LBR"|/*
*/countrycode=="RUS"

ivregress 2sls g low lowmed upmed fertl lifee1r kgatrstr lcr100km language ethnic /*
*/exprsk KKZ easia ssafr lac legor_fr legor_uk dum7074 dum7579 dum8084 dum8589/*
*/ dum9094 dum9599 dum0004 dum0509 (EM_j lowEM lowmedEM upmedEM y0 gpop BLeduc/*
*/ inv opres totalgv dp exconst easrel hindu jews muslim orth prot othrel =/*
*/ lpop lland landlocked lowland lowlland lowpop lowmedland lowmedlland/*
*/ lowmedpop upmedland upmedlland upmedpop lagy0 laggpop lagBLeduc laginv/*
*/ lagopres lagtotalgv lagdp lagexconst easrel1900 hindu1900 jews1900/*
*/ muslim1900 orth1900 prot1900 othrel1900), first robust

* Computing interaction effects (and standard errors using the Delta method):
mat cov=e(V)
mat b=e(b)
gen bEM=b[1,1]
gen bEMlow=b[1,2]
gen bEMlowmed=b[1,3]
gen bEMupmed=b[1,4]

gen varEM=cov[1,1]
gen varEMlow=cov[2,2]
gen varEMlowmed=cov[3,3]
gen varEMupmed=cov[4,4]
gen covEMlow=cov[1,2]
gen covEMlowmed=cov[1,3]
gen covEMupmed=cov[1,4]

gen meanEMlow=bEM+bEMlow
gen meanEMlowmed=bEM+bEMlowmed
gen meanEMupmed=bEM+bEMupmed
gen seEMlow=sqrt(varEM+varEMlow+2*covEMlow)
gen seEMlowmed=sqrt(varEM+varEMlowmed+2*covEMlowmed)
gen seEMupmed=sqrt(varEM+varEMupmed+2*covEMupmed)
gen tstatEMlow=(meanEMlow)/seEMlow
gen tstatEMlowmed=(meanEMlowmed)/seEMlowmed
gen tstatEMupmed=(meanEMupmed)/seEMupmed

keep seEMlow tstatEMlow seEMlowmed tstatEMlowmed seEMupmed tstatEMupmed/*
*/ meanEMlow meanEMlowmed meanEMupmed
duplicates drop
